GET /{environment}/targeting/audiences

Description

Returns an audience previously requested through the /targeting/audiences/requests endpoint. Can be used to paginate through large result sets. Note that audiences are only stored for a limited amount of time.

Parameters

Type Name Description Schema

Path

environment
required

The environment for which a request is made.

string

Query

audience_id
required

Unique identifier of the request.

string

Query

limit
required

The number of users to fetch.

integer

Query

offset
required

The rank of the first user to be requested. Starts counting at 1.

integer

Responses

HTTP Code Description Schema

200

Audience was found and returned successfully.

400

Request is malformed or contains invalid values.

401

Not authorized to make an audience targeting request.

Produces

  • application/json

Example HTTP response

Response 200

{
  "audience" : {
    "audience_id" : "dhoghesjwgotuy39",
    "users" : [ {
      "id" : "user_1",
      "user_type" : "login"
    }, {
      "id" : "user_2",
      "user_type" : "login"
    }, {
      "id" : "user_3",
      "user_type" : "login"
    } ]
  }
}

AudienceTargetingResponse

Response containing an audience for a promotion.

Name Description Schema

audience
required

Audience object in response.

audience

Name Description Schema

audience_id
required

A unique identifier for the audience request which is to be supplied with each logged event.

string

audience_name
required

Name of the audience, to be passed in tracking events later.

string

audience_size
required

Total size of the audience requested. Use limit for pagination.

integer

integration_type
required

Name of the type of integration.

string

limit
required

Number of Users to be returned

integer

users
required

List containing User-objects.

< User > array

User

A User object.

Name Description Schema

id
required

Unique identifier of the user.

string

user_type
required

Type of user identifier. Currently one of user_id or device_id.

string

ErrorBody

Error message.

Name Description Schema

detail
optional

Detailed description of the error.

string

status
optional

Status-code for the error.

integer

title
optional

Name of the error.

string

type
optional

Type of the exception thrown.

string